Name:           libldm
Version:        0.2.4
Release:        4
Summary:        A tool and library for managing Microsoft Windows Dynamic Disks
License:        LGPLv3+ and GPLv3+
URL:            https://github.com/mdbooth/libldm
Source0:        https://github.com/mdbooth/libldm/archive/%{name}-%{version}.tar.gz

BuildRequires:  autoconf, automake, libtool, glib2-devel >= 2.26.0, json-glib-devel >= 0.14.0
BuildRequires:  device-mapper-devel >= 1.0, zlib-devel, libuuid-devel, readline-devel, gtk-doc

%description
libldm is a tool and library for managing Microsoft Windows Dynamic Disks.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package includes development files for %{name}.

%package        help
Summary:        man files for %{name}
Requires:       man

%description    help
This package includes man files for %{name}.

%prep
%autosetup -n %{name}-%{name}-%{version} -p1
sed -i -e 's/-Werror //' src/Makefile.*
gtkdocize
autoreconf -i

%build
%configure --disable-static --enable-gtk-doc
%make_build V=1

%install
%make_install
%delete_la
%ldconfig_scriptlets

%files
%license COPYING.lgpl COPYING.gpl
%{_libdir}/*.so.*
%{_bindir}/ldmtool

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc

%files help
%{_mandir}/man*/*

%changelog
* Wed Sep 9 2020 Zhiqiang Liu <liuzhiqiang26@huawei.com> - 0.2.4-4
- remove useless readme files

* Fri Dec 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.2.4-3
- Package init
